Skip to main content

Snapshot Policy

Recurring, scheduled snapshot policies attached to a volume.

Resource base path: /restapi/snapshotPolicy

MethodPathDescription
POST/restapi/snapshotPolicy/createSnapshotPolicyCreate Snapshot Policy
GET/restapi/snapshotPolicy/snapshotPolicyListSnapshot Policy List
DELETE/restapi/snapshotPolicy/deleteSnapshotPolicy/{uuid}Delete Snapshot Policy
note

apikey and secretkey are required HTTP headers on every request and are omitted from the parameter tables below. See Authentication.


Create Snapshot Policy​

Create Snapshot Policy.

POST /restapi/snapshotPolicy/createSnapshotPolicy

Request body​

FieldTypeRequiredDescription
timerstring✅ YesTimer for snapshot policy
intervalTypestring✅ YesInterval Type (HOURLY,DAILY, MONTHLY, WEEKLY) Example: HOURLY/DAILY/MONTHLY/WEEKLY
volumeUuidstringNoUUID of the volume.
dayOfWeekstringNoDay of week for snapshot policy
dayOfMonthstringNoDay of month for snapshot policy
timeZonestring✅ YesTimezone for snapshot policy occurence Example: Etc/GMT+12
maximumSnapshotsstringNo
{
"timer": "string",
"intervalType": "HOURLY/DAILY/MONTHLY/WEEKLY",
"volumeUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"dayOfWeek": "string",
"dayOfMonth": "string",
"timeZone": "Etc/GMT+12",
"maximumSnapshots": "string"
}

Example request​

curl -X POST \
"https://portal.your-domain.com/restapi/snapshotPolicy/createSnapshotPolicy" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{
"timer": "string",
"intervalType": "HOURLY/DAILY/MONTHLY/WEEKLY",
"volumeUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"dayOfWeek": "string",
"dayOfMonth": "string",
"timeZone": "Etc/GMT+12",
"maximumSnapshots": "string"
}'

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"listSnapShotPoliciesResponse": [
{
"scheduleTime": "string",
"intervalType": "string",
"volumeUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"dayOfWeek": "string",
"dayOfMonth": "string",
"timeZone": "string",
"maximumSnapshots": "string",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "Active"
}
],
"count": 1
}

Snapshot Policy List​

Snapshot Policy List.

GET /restapi/snapshotPolicy/snapshotPolicyList

Parameters​

ParameterInTypeRequiredDescription
volumeUuidquerystring✅ YesUUID of the volume.
uuidquerystringNoUUID of the resource.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/snapshotPolicy/snapshotPolicyList?volumeUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"listSnapShotPoliciesResponse": [
{
"scheduleTime": "string",
"intervalType": "string",
"volumeUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"dayOfWeek": "string",
"dayOfMonth": "string",
"timeZone": "string",
"maximumSnapshots": "string",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "Active"
}
],
"count": 1
}

Delete Snapshot Policy​

Delete Snapshot Policy.

DELETE /restapi/snapshotPolicy/deleteSnapshotPolicy/{uuid}

Parameters​

ParameterInTypeRequiredDescription
uuidpathstring✅ YesUUID of the resource.

Example request​

curl -X DELETE \
"https://portal.your-domain.com/restapi/snapshotPolicy/deleteSnapshotPolicy/a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
204No content.
401Invalid authentication credentials.
550Permission denied.
true